Index: branches/HTM-14.1-update-dev0/source/Lib/TLibDecoder/TDecCAVLC.h
===================================================================
--- branches/HTM-14.1-update-dev0/source/Lib/TLibDecoder/TDecCAVLC.h	(revision 1199)
+++ branches/HTM-14.1-update-dev0/source/Lib/TLibDecoder/TDecCAVLC.h	(revision 1200)
@@ -2,7 +2,7 @@
  * License, included below. This software may be subject to other third party
  * and contributor rights, including patent rights, and no such rights are
- * granted under this license.  
+ * granted under this license.
  *
-* Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2015, ITU/ISO/IEC
  * All rights reserved.
  *
@@ -52,5 +52,5 @@
 // Class definition
 // ====================================================================================================================
-#if H_3D
+#if NH_MV
 class TDecTop;
 #endif
@@ -61,13 +61,12 @@
   TDecCavlc();
   virtual ~TDecCavlc();
-  
+
 protected:
-  void  parseShortTermRefPicSet            (TComSPS* pcSPS, TComReferencePictureSet* pcRPS, Int idx);
-  
-#if H_3D
+
+  Void  parseShortTermRefPicSet            (TComSPS* pcSPS, TComReferencePictureSet* pcRPS, Int idx);
+
+#if NH_MV
   TDecTop*  m_decTop;
 #endif
-
-
 public:
 
@@ -76,60 +75,44 @@
   Void  setBitstream        ( TComInputBitstream* p )   { m_pcBitstream = p; }
   Void  parseTransformSubdivFlag( UInt& ruiSubdivFlag, UInt uiLog2TransformBlockSize );
-  Void  parseQtCbf          ( TComDataCU* pcCU, UInt uiAbsPartIdx, TextType eType, UInt uiTrDepth, UInt uiDepth );
+  Void  parseQtCbf          ( class TComTU &rTu, const ComponentID compID, const Bool lowestLevel );
   Void  parseQtRootCbf      ( UInt uiAbsPartIdx, UInt& uiQtRootCbf );
   Void  parseVPS            ( TComVPS* pcVPS );
-#if H_MV
+#if NH_MV
   Void  parseVPSExtension   ( TComVPS* pcVPS ); 
-  Void  parseRepFormat      ( Int i, TComRepFormat* curRepFormat, TComRepFormat* prevRepFormat );
-  Void  parseVPSVUI         ( TComVPS* pcVPS );
+  Void  parseRepFormat      ( Int i, TComRepFormat* curRepFormat, const TComRepFormat* prevRepFormat );
+  Void  parseVPSVUI         ( const TComVPS* pcVPS, TComVPSVUI* vpsVui );
   Void  parseVideoSignalInfo( TComVideoSignalInfo* pcVideoSignalInfo ); 
   Void  parseDpbSize        ( TComVPS* pcVPS ); 
-  Void  parseVpsVuiBspHrdParameters( TComVPS* pcVPS ); 
+  Void  parseVpsVuiBspHrdParameters( const TComVPS* vps, TComVPSVUI* vpsVui ); 
+
+  Void  parseSpsMultilayerExtension( TComSPS* pcSPS );  
+  Void  parsePpsMultilayerExtension( TComPPS* pcPPS );
+  Void  setDecTop           ( TDecTop* decTop ) { m_decTop = decTop; }; 
+#endif
+#if NH_3D
+  Void  parseVps3dExtension  ( TComVPS* pcVPS ); 
+  Void  parseSps3dExtension  ( TComSPS* pcSPS );  
+  Void  parsePps3dExtension  ( TComPPS* pcPPS );
 #endif
 
-#if H_MV
-  Void  parseSPSExtension   ( TComSPS* pcSPS );  
-#endif
-#if H_3D
-  Void  parseVPS3dExtension  ( TComVPS* pcVPS ); 
-  Void  parseSPS3dExtension ( TComSPS* pcSPS );
   Void  parseSPS            ( TComSPS* pcSPS );
-#else
-  Void  parseSPS            ( TComSPS* pcSPS );
-#endif
+  Void  parsePPS            ( TComPPS* pcPPS );
 
-#if H_MV
-  Void  parsePPSMultilayerExtension( TComPPS* pcPPS );
-#endif
-
-
-#if H_3D
-  Void  parsePPS            ( TComPPS* pcPPS, TComVPS* pcVPS );
-  Void  parsePPSExtension   ( TComPPS* pcPPS, TComVPS* pcVPS );
-#else
-  Void  parsePPS            ( TComPPS* pcPPS);
-#endif
-#if H_3D
-  Void  setDecTop           ( TDecTop* decTop ) { m_decTop = decTop; }; 
-#endif
   Void  parseVUI            ( TComVUI* pcVUI, TComSPS* pcSPS );
   Void  parseSEI            ( SEIMessages& );
   Void  parsePTL            ( TComPTL *rpcPTL, Bool profilePresentFlag, Int maxNumSubLayersMinus1 );
-  Void  parseProfileTier    (ProfileTierLevel *ptl);
+  Void  parseProfileTier    (ProfileTierLevel *ptl, const Bool bIsSubLayer);
   Void  parseHrdParameters  (TComHRD *hrd, Bool cprms_present_flag, UInt tempLevelHigh);
-#if H_MV
-  Void  parseSliceHeader    ( TComSlice*& rpcSlice, ParameterSetManagerDecoder *parameterSetManager, Int targetOlsIdx);
-#else
-  Void  parseSliceHeader    ( TComSlice*& rpcSlice, ParameterSetManagerDecoder *parameterSetManager);
-#endif
+  Void  parseSliceHeader    ( TComSlice* pcSlice, ParameterSetManager *parameterSetManager, const Int prevTid0POC);
   Void  parseTerminatingBit ( UInt& ruiBit );
-  
-  Void  parseMVPIdx         ( Int& riMVPIdx );
-  
-  Void  parseSkipFlag       ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
+  Void  parseRemainingBytes ( Bool noTrailingBytesExpected );
+
+  Void  parseMVPIdx          ( Int& riMVPIdx );
+        
+  Void  parseSkipFlag        ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
 #if H_3D
   Void  parseDIS            ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
 #endif
-  Void  parseCUTransquantBypassFlag( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
+  Void parseCUTransquantBypassFlag( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
   Void parseMergeFlag       ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth, UInt uiPUIdx );
   Void parseMergeIndex      ( TComDataCU* pcCU, UInt& ruiMergeIndex );
@@ -150,25 +133,29 @@
   Void parsePartSize        ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
   Void parsePredMode        ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
-  
+
   Void parseIntraDirLumaAng ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
-  
   Void parseIntraDirChroma  ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
-  
+
   Void parseInterDir        ( TComDataCU* pcCU, UInt& ruiInterDir, UInt uiAbsPartIdx );
-  Void parseRefFrmIdx       ( TComDataCU* pcCU, Int& riRefFrmIdx,  RefPicList eRefList );
+  Void parseRefFrmIdx       ( TComDataCU* pcCU, Int& riRefFrmIdx, RefPicList eRefList );
   Void parseMvd             ( TComDataCU* pcCU, UInt uiAbsPartAddr,UInt uiPartIdx,    UInt uiDepth, RefPicList eRefList );
-  
+
+  Void parseCrossComponentPrediction( class TComTU &rTu, ComponentID compID );
+
   Void parseDeltaQP         ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
-  Void parseCoeffNxN        ( TComDataCU* pcCU, TCoeff* pcCoef, UInt uiAbsPartIdx, UInt uiWidth, UInt uiHeight, UInt uiDepth, TextType eTType );
-  Void parseTransformSkipFlags ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt width, UInt height, UInt uiDepth, TextType eTType);
+  Void parseChromaQpAdjustment( TComDataCU* cu, UInt absPartIdx, UInt depth);
+
+  Void parseCoeffNxN        ( class TComTU &rTu, ComponentID compID );
+
+  Void parseTransformSkipFlags ( class TComTU &rTu, ComponentID component );
 
   Void parseIPCMInfo        ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth);
 
-  Void updateContextTables  ( SliceType /*eSliceType*/, Int /*iQp*/ ) { return; }
+  Void xParsePredWeightTable ( TComSlice* pcSlice, const TComSPS *sps );
+  Void  parseScalingList     ( TComScalingList* scalingList );
+  Void xDecodeScalingList    ( TComScalingList *scalingList, UInt sizeId, UInt listId);
 
-  Void xParsePredWeightTable ( TComSlice* pcSlice );
-  Void  parseScalingList               ( TComScalingList* scalingList );
-  Void xDecodeScalingList    ( TComScalingList *scalingList, UInt sizeId, UInt listId);
-#if H_3D
+  Void  parseExplicitRdpcmMode( TComTU &rTu, ComponentID compID );
+#if NH_MV
   TDecTop*  getDecTop()      { return m_decTop; };
 #endif
@@ -181,3 +168,2 @@
 
 #endif // !defined(AFX_TDECCAVLC_H__9732DD64_59B0_4A41_B29E_1A5B18821EAD__INCLUDED_)
-
